
Colony Scout - Task #1873

ROSSERIAL on ARM

10/26/2011 03:07 PM - Priyanka Deo

Status: Assigned Start date: 10/26/2011

Priority: Normal Due date: 11/16/2011

Assignee: Jonathan Goldman % Done: 0%

Category: OS Estimated time: 0.00 hour

Target version:    

Description

Find out how ROSSERIAL works. Implement it on ARM.

History

#1 - 10/26/2011 05:47 PM - Priyanka Deo

- Assignee set to Priyanka Deo

#2 - 10/26/2011 05:50 PM - Priyanka Deo

- Due date set to 11/16/2011

#3 - 10/26/2011 06:05 PM - Ben Wasserman

- Assignee changed from Priyanka Deo to Jonathan Goldman

#4 - 11/11/2011 07:09 PM - Priyanka Deo

Tasks:

1. Figure out how to interface rosserial repository with ours. (mercurial to git). Repo contains ROSSERIAL node. Add at scoutos/scout level.

2. Write functions that define the interface between the library and the hardware. 4 functions (init, read, write, time)

3. Create circuitry for AVR (switch to ECE task)

4. Test if computer can communicate with AVR.
